ipsw is not compatible

Discussion in 'iPod touch' started by Cuspertunes, Aug 7, 2010.

  1. Cuspertunes macrumors newbie

    Jul 31, 2010
    I DLed the 3.1.2 ipsw and tried to restore using that,but it says the file is not compatible yet I DLed the 2G(3.1.2/7D11) ipsw and thats what generation I have.
    Please help.
  2. Mr Slippy IV macrumors 6502

    Mr Slippy IV

    Feb 24, 2010
    Vail, AZ
    Make sure the iPod restore file is for your model as well. Some sites differentiate between MB and MC firmware, and others don't.

Share This Page